A valid request URL is required to generate request examples{
"transaction_id": "<string>"
}Rename a table
Rename table id to a new name.
curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/rename \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_table_name": "<string>",
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"context": {},
"id": [
"<string>"
],
"new_namespace_id": [
"<string>"
]
}
'{
"transaction_id": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://lancedb-bcbb4faf-mintlify-371da1b6.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Query Parameters
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Body
New name for the table
Identity information of a request.
Show child attributes
Show child attributes
Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.
REST NAMESPACE ONLY
Context entries are passed via HTTP headers using the naming convention
x-lance-ctx-<key>: <value>. For example, a context entry
{"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.
Show child attributes
Show child attributes
The table identifier
New namespace identifier to move the table to (optional, if not specified the table stays in the same namespace)
Response
Table rename operation result
Optional transaction identifier
Was this page helpful?